Name:           perl-Plack-Debugger
Version:        0.03
Release:        1%{?dist}
Summary:        Debugging tool for Plack web applications
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Plack-Debugger/
Source0:        http://www.cpan.org/authors/id/S/ST/STEVAN/Plack-Debugger-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::ShareDir)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(HTTP::Status)
BuildRequires:  perl(JSON::XS)
BuildRequires:  perl(Module::Versions)
BuildRequires:  perl(Path::Class)
BuildRequires:  perl(Plack)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Warn)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(UUID::Tiny)
Requires:       perl(File::ShareDir)
Requires:       perl(File::Spec)
Requires:       perl(HTTP::Status)
Requires:       perl(JSON::XS)
Requires:       perl(Module::Versions)
Requires:       perl(Plack)
Requires:       perl(Scalar::Util)
Requires:       perl(Time::HiRes)
Requires:       perl(Try::Tiny)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is a rethinking of the excellent Plack::Middleware::Debug module, with
the specific intent of providing more flexibility and supporting capture of
debugging data in as many places as possible. Specifically we support the
following features not easily handled in the previous module.

%prep
%setup -q -n Plack-Debugger-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes example LICENSE README README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Jun 26 2016 Dave Cross <dave@mag-sol.com> 0.03-1
- Specfile autogenerated by cpanspec 1.78.
